from lightshader.qt.interface import LSMenu
from lightshader.maya.qt.helper import mayaMenuBar, QtWidgets
from lightshader.maya.lighting.source.lightcontrol import LightControl
from lightshader.maya.lighting.source.attributecontrol import AttributeControl
import pymel.core as pmc

pmc.evalDeferred('LightShaderMenu()')


class LightShaderMenu(LSMenu):
    def __init__(self):
        self.lightControl = 'Light Control'
        self.attributeControl = 'Attribute Control'
        # Super needs to be called last, so maya specific actions are added at the top
        super(LightShaderMenu, self).__init__(mayaMenuBar())

    def _addActions(self):
        self.addAction(self.attributeControl)
        self.addAction(self.lightControl)
        self.addSeparator()
        # Super needs to be called last, so maya specific actions are added at the top
        super(LightShaderMenu, self)._addActions()

    def handleSignals(self, obj, action, *args):
        super(LightShaderMenu, self).handleSignals(obj, action, args)

        if isinstance(action, QtWidgets.QAction):
            actionName = action.text()
            if actionName == self.lightControl:
                LightControl().show(dockable=True)
            elif actionName == self.attributeControl:
                AttributeControl().show(dockable=True)
